Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.sftp
Class SftpFile

    java.lang.Object
      com.sshtools.j2ssh.sftp.SftpFile

public class SftpFile
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SftpFile(java.lang.String absolutePath)` Creates a new SftpFile object.
`SftpFile(java.lang.String absolutePath, FileAttributes attrs)` Creates a new SftpFile object.

Method Summary
`boolean` | `canRead()` DOCUMENT ME!
`boolean` | `canWrite()` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`void` | `delete()` DOCUMENT ME!
`java.lang.String` | `getAbsolutePath()` DOCUMENT ME!
`FileAttributes` | `getAttributes()` DOCUMENT ME!
`java.lang.String` | `getFilename()` DOCUMENT ME!
`protected byte[]` | `getHandle()` DOCUMENT ME!
`java.lang.String` | `getLongname()` DOCUMENT ME!
`protected SftpSubsystemClient` | `getSFTPSubsystem()` DOCUMENT ME!
`boolean` | `isBlock()` DOCUMENT ME!
`boolean` | `isCharacter()` DOCUMENT ME!
`boolean` | `isDirectory()` DOCUMENT ME!
`boolean` | `isFifo()` DOCUMENT ME!
`boolean` | `isFile()` DOCUMENT ME!
`boolean` | `isLink()` DOCUMENT ME!
`boolean` | `isOpen()` DOCUMENT ME!
`boolean` | `isSocket()` DOCUMENT ME!
`void` | `rename(java.lang.String newFilename)` DOCUMENT ME!
`protected void` | `setHandle(byte[] handle)` DOCUMENT ME!
`protected void` | `setSFTPSubsystem(SftpSubsystemClient sftp)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SftpFile

    public SftpFile(java.lang.String absolutePath,
                    FileAttributes attrs)

  Creates a new SftpFile object.

Parameters:
  `absolutePath` - DOCUMENT ME!
  `attrs` - DOCUMENT ME!

### SftpFile

    public SftpFile(java.lang.String absolutePath)

  Creates a new SftpFile object.

Parameters:
  `absolutePath` - DOCUMENT ME!

Method Detail

### delete

    public void delete()
                throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### rename

    public void rename(java.lang.String newFilename)
                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `newFilename` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### canWrite

    public boolean canWrite()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### canRead

    public boolean canRead()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isOpen

    public boolean isOpen()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setHandle

    protected void setHandle(byte[] handle)

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!

### getHandle

    protected byte[] getHandle()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSFTPSubsystem

    protected void setSFTPSubsystem(SftpSubsystemClient sftp)

  DOCUMENT ME!

  Parameters:
    `sftp` - DOCUMENT ME!

### getSFTPSubsystem

    protected SftpSubsystemClient getSFTPSubsystem()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getFilename

    public java.lang.String getFilename()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLongname

    public java.lang.String getLongname()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAttributes

    public FileAttributes getAttributes()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAbsolutePath

    public java.lang.String getAbsolutePath()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isDirectory

    public boolean isDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isFile

    public boolean isFile()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isLink

    public boolean isLink()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isFifo

    public boolean isFifo()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isBlock

    public boolean isBlock()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isCharacter

    public boolean isCharacter()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isSocket

    public boolean isSocket()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD